Notifications
Get unread notifications
Section titled “Get unread notifications”GET /api/notification/unread
Get all unread notifications for the current user.
Response
A list of notification objects.
Mark all notifications as seen
Section titled “Mark all notifications as seen”GET /api/notification/markAllAsSeen
Mark all notifications for the current user as seen.
Update notification
Section titled “Update notification”POST /api/notification
Update an existing notification (e.g. mark as read, update status).
Request
Body
A notification object with the fields to update:
{ "id": string, "status": string}Response
The updated notification object.
Delete notification
Section titled “Delete notification”DELETE /api/notification/{notificationID}
Delete a notification.
Request
Path parameters
notificationIDID of the notification